import { useContext } from 'react';
import { ManageTransferFeeContext } from './ManageTransferFeeContext';

const useManageTransferFeeContext = () => {
  const context = useContext(ManageTransferFeeContext);

  if (!context) throw new Error('useManageAccessTypeContext must be used within AuthProvider');

  return context;
};

export { useManageTransferFeeContext };
